<?php
/**
Plugin Name: WPdanger XML-RPC Pingbacks
Plugin URI: https://www.wpdanger.com/
Description: This plugins blocks XML-RPC Pingbacks
Version: 1.0
Author: Javier Casares
Author URI: https://www.javiercasares.com/
License: GPLv2 or later
**/
defined('ABSPATH') or die('Bye bye!');
function wpdanger_xmlrpc_ping($methods) {
  unset($methods['pingback.ping']);
  unset($methods['pingback.extensions.getPingbacks']);
  return $methods;
}
function wpdanger_xmlrpc_header($headers) {
  unset($headers['X-Pingback']);
  return $headers;
}
add_filter('xmlrpc_methods', 'wpdanger_xmlrpc_ping', 9999, 2);
add_filter('wp_headers', 'wpdanger_xmlrpc_header', 9999, 2);
?>